import 'dart:async';
import 'dart:convert';
import 'dart:io';
import 'package:get_my_country/src/response.dart';
import 'package:http/http.dart' as http;

Future<Country> resolve() async{
  Completer<Country> _completer = Completer();
  try {
    var response = await http.get("http://ip-api.com/json");
    var json = jsonDecode(response.body);
    var country =  Country.fromJson(json);
    _completer.complete(country);
  }
  on SocketException catch(_,e){
    _completer.completeError("Internet connection problem",e);
  }
  on Exception catch(_,e)
  {
    _completer.completeError("Something error occured",e);
  }
  return _completer.future;
}